Bug#927865: gsequencer: Important upstream bug-fixes

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#927865: gsequencer: Important upstream bug-fixes

Joël Krähemann-2
Package: gsequencer
Version: 2.1.53-2
Severity: important

Dear Maintainer,

There are 6 patches available with severity important.

* ags-audio-threads-safe-get-type.patch
* ags-osc-manual-wrong-tag.patch
* ags_copy_pattern_channel-bank-index-as-float.patch
* ags_delay-fix-accessing-64-bit.patch
* ags_file_link-missing-set-as-open-files.patch
* ags_simple_file-missing-unset-reverse-mapping.patch

All ags_*_get_type() have to be thread-safe and race condition aware.

The OSC manual uses a wrong tag for specifying para.

There is a 64 bit issue in ags_copy_pattern_channel_run.c and
ags_play_notation_audio_run.c as accessing AgsDelay property.

Under certain circumstances AgsFileLink is not properly set
as assigning files to AgsAudio's input channels.

There is some inconsistency as reading AgsSimpleFile projects. It
causes the reverse mapping not properly restored.


I hope these patches can be provided to debian buster release via
unstable update.


by Joël Krähemann


-- System Information:
Debian Release: 10.0
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.19.0-3-amd64 (SMP w/24 CPU cores)
Kernel taint flags: TAINT_WARN
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE=C (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages gsequencer depends on:
ii  libags-audio2                     2.1.53-2
ii  libags-gui2                       2.1.53-2
ii  libags2                           2.1.53-2
ii  libasound2                        1.1.8-1
ii  libatk1.0-0                       2.30.0-2
ii  libc6                             2.28-8
ii  libcairo2                         1.16.0-4
ii  libfftw3-double3                  3.3.8-2
ii  libfontconfig1                    2.13.1-2
ii  libfreetype6                      2.9.1-3
ii  libgdk-pixbuf2.0-0                2.38.1+dfsg-1
ii  libglib2.0-0                      2.58.3-1
ii  libgtk2.0-0                       2.24.32-3
ii  libinstpatch-1.0-0                1.0.0-7
ii  libjack-jackd2-0 [libjack-0.125]  1.9.12~dfsg-2
ii  libpango-1.0-0                    1.42.4-6
ii  libpangocairo-1.0-0               1.42.4-6
ii  libpangoft2-1.0-0                 1.42.4-6
ii  libpulse-mainloop-glib0           12.2-4
ii  libpulse0                         12.2-4
ii  libsndfile1                       1.0.28-6
ii  libx11-6                          2:1.6.7-1
ii  libxml2                           2.9.4+dfsg1-7+b3

gsequencer recommends no packages.

Versions of packages gsequencer suggests:
ii  fluid-soundfont-gm  3.1-5.1
ii  fluid-soundfont-gs  3.1-5.1
ii  hydrogen            0.9.7-6
ii  hydrogen-drumkits   2017.09.19~dfsg-1
pn  timgm6mb-soundfont  <none>

-- no debconf information